Name: leafnode
Version: 1.9.31
Release: alt1

Summary: Leafnode - a leafsite NNTP server
License: Artistic
Group: System/Servers

Url: http://www.leafnode.org

Source: ftp://wpxx02.toxi.uni-wuerzburg.de/pub/%name-%version.rel.tar.bz2
Source1: %name.texpire
Source2: %name.filters
Source3: %name.xinetd
Patch: %name-buildroot.patch.bz2

Conflicts: inn

Summary(ru_RU.KOI8-R):	Leafnode -  NNTP-
Summary(uk_UA.KOI8-U):	Leafnode -  NNTP-

# NOTE: buildreq would catch /usr/sbin/tcpd from and add tcp_wrappers :-/
# So don't run that on this. -- mike

BuildRequires: libpcre-devel

# can be rebuilt with included libpcre if perl-base is unwanted:
# just remove libpcre-devel on build host

%define nntp_server news.talk.ru
%define leafgroup news

%description
Leafnode is a small NNTP server for leaf sites without permanent
connection to the internet. It supports a subset of NNTP and is able to
automatically fetch the newsgroups the user reads regularly from the
newsserver of the ISP and push the posted messages.

%description -l ru_RU.KOI8-R
Leafnode -  NNTP-  ""   
   Internet.     NNTP 
      
   news- .

%description -l uk_UA.KOI8-U
Leafnode -  NNTP-  "Φ"   צԦ
Ԧ '  Internet.   Цդ Ц NNTP 
Ѥ      צ  
 news- .

%prep
%setup -q -n %name-%version.rel
%patch -p1

%build
%configure --sysconfdir=%_sysconfdir/%name \
           --with-spooldir=%_spooldir/news \
	   --with-lockfile=%_lockdir/news/fetchnews.lck
%make_build

%install
install -d %buildroot%_sysconfdir/{cron.daily,leafnode}
# carefully working around horrors in Makefile...
%__make INSTALL="%__install -p" \
        prefix=%buildroot%prefix \
	SPOOLDIR=%_spooldir/news \
	LOCKFILE=%buildroot%_lockdir/news/fetchnews.lck \
	DESTDIR=%buildroot \
	install
install -m 755 %SOURCE1 %buildroot%_sysconfdir/cron.daily/texpire
install -m 600 %SOURCE2 %buildroot%_sysconfdir/leafnode/filters
install -D -m644 %SOURCE3 %buildroot/etc/xinetd.d/%name
install -m 600 config.example %buildroot%_sysconfdir/leafnode/

sed \
	-e 's,news.hiof.no,%nntp_server,g' \
	-e 's,^# maxfetch,maxfetch,g' \
	-e 's,^# initialfetch,initialfetch,g' \
	-e 's,^# allow_8bit_headers,allow_8bit_headers,g' \
	< config.example \
	> %buildroot%_sysconfdir/leafnode/config

%post
# get hostname to config -- works for first time
fgrep -q host.domain.country %_sysconfdir/%name/config && {
	SERVERNAME=`hostname`
	[ -z "$SERVERNAME" ] && SERVERNAME="localhost"
	TMP=`mktemp -q leafnode-config-XXXXXXXXXX`
	[ $? = 0 ] && sed -e "s,host.domain.country,$SERVERNAME,g" < %_sysconfdir/%name/config > $TMP && \
		cat $TMP > %_sysconfdir/%name/config && rm $TMP
} || :

# TODO: use %leafgroup for texpire?
# TODO: config dir should be better guarded probably?
%files
%_mandir/man?/*
%doc COPYING CREDITS INSTALL README TODO tools/archivefaq.pl update.sh
%dir %_sysconfdir/%name/
%config(noreplace) %_sysconfdir/xinetd.d/%name
%attr(755,root,root) %config(noreplace) %_sysconfdir/cron.daily/texpire
%attr(640,root,%leafgroup) %config(noreplace) %_sysconfdir/%name/config
%attr(640,root,%leafgroup) %config(noreplace) %_sysconfdir/%name/filters
%attr(710,root,%leafgroup) %_sbindir/*
%attr (775,root,%leafgroup) %_lockdir/news
%attr (775,root,%leafgroup) %_spooldir/news

%changelog
* Sun Dec 29 2002 Michael Shigorin <mike@altlinux.ru> 1.9.31-alt1
- 1.9.31 (major bugfixes)
- WARNING: 1.9.20 through 1.9.29 were vulnerable (DoS; 100%% CPU)
- cleaned up BuildRequires (tcp_wrappers)

* Thu Dec 05 2002 Michael Shigorin <mike@altlinux.ru> 1.9.30-alt1
- 1.9.30 (minor bugfixes)

* Mon Nov 25 2002 Michael Shigorin <mike@altlinux.ru> 1.9.29-alt2
- fixed typo in %_sysonfdir/cron.d/texpire
- fixed perms on %_spooldir/news (was 755,root,news; now 775,root,news
  so leafnode can create directories for newsgroups automatically)
- #1615 is closed
- spec cleanup

* Thu Oct 24 2002 Michael Shigorin <mike@altlinux.ru> 1.9.29-alt1
- 1.9.29 (major bugfixes)

* Wed Oct 16 2002 Michael Shigorin <mike@altlinux.ru> 1.9.27-alt2
- slight adaptations in default config

* Mon Sep 30 2002 Michael Shigorin <mike@altlinux.ru> 1.9.27-alt1
- 1.9.27
- major bugfixes

* Mon Sep 23 2002 Michael Shigorin <mike@altlinux.ru> 1.9.26-alt1
- 1.9.26 (minor bugfixes)

* Wed Jul 10 2002 Michael Shigorin <mike@altlinux.ru> 1.9.24-alt1
- new version (nightly fixes)

* Tue Jul 09 2002 Michael Shigorin <mike@altlinux.ru> 1.9.23-alt1
- new (significantly fixed) version

* Fri May 31 2002 Michael Shigorin <mike@altlinux.ru> 1.9.22-alt1
- new version
- additionally fixed/tightened permissions on sbin files and spool

* Wed Mar 27 2002 Michael Shigorin <mike@altlinux.ru> 1.9.20-alt1
- (inger) modify texpire script (bug #??? in BTS)
- new release
- can post to NewsCache servers
- pay attention to changes in 1.9.20 when upgrading:
  - FQDN required!
  - running without access control deprecated
- no longer enabled by default in xinetd configuration
- patch: don't use quickmkdir as it's broken WRT non-root builds
  (would try to set ownership/permissions of files&dirs or die)
- spec cleanup

* Mon Jan 15 2001 AEN <aen@logic.ru>
- RE adaptation

* Fri Dec 01 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.9.18-1mdk
- new and shiny source.
- remove CHANGES from the filelist (no such file or directory).

* Tue Jan 18 2000 Andre Steden <andre@steden.de>
- build for mandrake-linux
- add leafnode-buildroot.patch
